# parcel-project-template

## Зависимости

На компьютере должена быть установлена LTS-версия [Node.js](https://nodejs.org/en/).

## Перед началом работы

Один раз на проект установить все зависимости.

```shell
npm ci
```

### Разработка

Запустить режим разработки.

```shell
npm run dev
```

Во вкладке браузера перейти по адресу [http://localhost:1234](http://localhost:1234).

### Деплой

Сборка может автоматически деплоить билд на GitHub Pages удаленного (remote) репозитория. Для этого
необходимо в файле `package.json` отредактировать поле `homepage`, заменив имя пользователя и
репозитория на свои.

```json
"homepage": "https://имя_пользователя.github.io/имя_репозитория"
```

Также необходимо отредактировать скрипт "predeploy".

```json
"predeploy": "npm run build -- --public-url /имя_репозитория/"
```

После чего в терминале выполнить следующую команду.

```shell
npm run deploy
```

Если нет ошибок в коде и свойство `homepage` указано верно, запустится сборка проекта в продакшен,
после чего содержимое папки `build` будет помещено в ветку `gh-pages` на удаленном (remote)
репозитории. Через какое-то время живую страницу можно будет посмотреть по адресу указанному в
отредактированном свойстве `homepage`.

## Файлы и папки

- Все паршалы файлов стилей должны лежать в папке `src/sass` и импортироваться в
  `src/sass/main.scss`
- Изображения добавляйте в папку `src/images`, заранее оптимизировав их. Сборщик просто копирует
  используемые изображения чтобы не нагружать систему оптимизацией картинок, так как на слабых
  компьютерах это может занять прилично времени.
